## qtwebsockets-opensource-src 5.12.4

=== debian/changelog ===
qtwebsockets-opensource-src (5.12.4-1) experimental; urgency=medium

  [ Scarlett Moore ]
  * Improve abstract for doc-base.

  [ Dmitry Shachnev ]
  * New upstream release.
  * Set the TESTRUNNER environment variable when running the tests, instead
    of calling xvfb-run directly. This fixes build with nocheck profile
    (closes: #929442). Thanks to Sven Mueller for the initial patch!
  * Add a proper debian/clean file.
  * Add Build-Depends-Package field to debian/libqt5websockets5.symbols.
  * Bump Qt build-dependencies to 5.12.4.

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 20 Jun 2019 10:54:39 +0300

qtwebsockets-opensource-src (5.12.3-1) experimental; urgency=medium

  [ Scarlett Moore ]
  * Update packaging to use doc-base as per policy 9.10.

  [ Dmitry Shachnev ]
  * New upstream release.
  * Bump Qt build-dependencies to 5.12.3.
  * Update Homepage URL.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 22 Apr 2019 13:15:37 +0300

=== debian/control ===
Source: qtwebsockets-opensource-src
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <debian@pusling.com>,
           Pino Toscano <pino@debian.org>,
           Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
           Timo Jyrinki <timo@debian.org>,
           Dmitry Shachnev <mitya57@debian.org>,
           Simon Quigley <tsimonq2@debian.org>
Build-Depends: debhelper (>= 11),
               pkg-kde-tools,
               qml-module-qtquick2 (>= 5.12.4~),
               qml-module-qttest (>= 5.12.4~),
               qtbase5-private-dev (>= 5.12.4+dfsg~),
               qtdeclarative5-dev (>= 5.12.4~),
               qtdeclarative5-private-dev (>= 5.12.4~),
               xauth,
               xvfb
Build-Depends-Indep: doc-base,
                     qtbase5-doc-html (>= 5.12.4+dfsg~) <!nodoc>,
                     qttools5-dev-tools (>= 5.12.4~) <!nodoc>
Standards-Version: 4.3.0
Homepage: https://doc.qt.io/qt-5/qtwebsockets-index.html
Vcs-Git: https://salsa.debian.org/qt-kde-team/qt/qtwebsockets.git
Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt/qtwebsockets

Package: libqt5websockets5
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 5 Web Sockets module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains a Qt library that implements WebSockets, both
 client and server.

Package: libqt5websockets5-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libqt5websockets5 (= ${binary:Version}), qtbase5-dev, ${misc:Depends}
Description: Qt 5 Web Sockets module - development files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the development files needed to build Qt applications
 using Qt 5 Web Sockets library.

Package: qml-module-qtwebsockets
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 5 Web Sockets QML module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the Qt Web Sockets QML module.

Package: qml-module-qt-websockets
Architecture: any
Multi-Arch: same
Section: oldlibs
Pre-Depends: ${misc:Pre-Depends}
Depends: qml-module-qtwebsockets, ${misc:Depends}
Description: Qt 5 Web Sockets compatibility QML module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the compatibility Qt.WebSockets QML module. Do
 not use it, use QtWebSockets module instead (in qml-module-qtwebsockets
 package).

Package: qtwebsockets5-examples
Architecture: any
Multi-Arch: same
Section: doc
Pre-Depends: ${misc:Pre-Depends}
Depends: qml-module-qtquick2,
         qml-module-qtwebsockets,
         ${misc:Depends},
         ${shlibs:Depends}
Description: Examples for Qt 5 Web Sockets module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains examples for the Qt 5 Web Sockets library.

Package: qtwebsockets5-doc
Build-Profiles: <!nodoc>
Architecture: all
Section: doc
Depends: ${misc:Depends}
Description: Qt 5 Web Sockets documentation
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the documentation for the Qt 5 Web Sockets
 library.

Package: qtwebsockets5-doc-html
Build-Profiles: <!nodoc>
Architecture: all
Section: doc
Depends: ${misc:Depends}
Description: Qt 5 Web Sockets HTML documentation
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the HTML documentation for the Qt 5 Web Sockets
 library.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)

export QT_SELECT := qt5

%:
	dh $@ --with pkgkde_symbolshelper

override_dh_auto_configure:
	dh_auto_configure -- QT_BUILD_PARTS+=tests

override_dh_auto_build-indep:
	dh_auto_build -Smakefile -- docs

override_dh_auto_install-arch:
	dh_auto_install

	# Remove private headers
	rm -rfv debian/tmp/usr/include/$(DEB_HOST_MULTIARCH)/qt5/QtWebSockets/*/QtWebSockets/private/
	rm -fv debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/qt5/mkspecs/modules/qt_lib_websockets_private.pri

	# Remove libtool-like files
	rm -f debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/*.la

override_dh_auto_test-arch:
	$(MAKE) install -Csrc/imports INSTALL_ROOT=$(CURDIR)/test_root
# armhf: illegal instruction, not reproducible on porterbox. See also #860507.
# mips64el: even if the code did not change from 5.11.2 (where it run fine) to
# 5.11.3, a test is segfaulting. The issue might be somewhere else.
# kfreebsd-*: see https://bugreports.qt.io/browse/QTBUG-41448
ifneq (,$(filter $(DEB_HOST_ARCH),armhf mips64el kfreebsd-amd64 kfreebsd-i386))
	-LD_LIBRARY_PATH=$(CURDIR)/lib QML2_IMPORT_PATH=$(CURDIR)/test_root/usr/lib/$(DEB_HOST_MULTIARCH)/qt5/qml \
	TESTRUNNER='xvfb-run -a -s "-screen 0 1024x768x24 +extension RANDR +extension RENDER +extension GLX"' \
		dh_auto_test --max-parallel=1 -- -Ctests/auto
else
	LD_LIBRARY_PATH=$(CURDIR)/lib QML2_IMPORT_PATH=$(CURDIR)/test_root/usr/lib/$(DEB_HOST_MULTIARCH)/qt5/qml \
	TESTRUNNER='xvfb-run -a -s "-screen 0 1024x768x24 +extension RANDR +extension RENDER +extension GLX"' \
		dh_auto_test --max-parallel=1 -- -Ctests/auto
endif

# Do not run tests during arch-indep build
override_dh_auto_test-indep:

override_dh_auto_install-indep:
	make INSTALL_ROOT=$(CURDIR)/debian/tmp install_docs

override_dh_missing:
	dh_missing --fail-missing

## qtwebsockets-opensource-src 5.12.5

=== debian/changelog ===
qtwebsockets-opensource-src (5.12.5-2) unstable; urgency=medium

  * Bump Standards-Version to 4.4.1, no changes needed.
  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 20 Oct 2019 23:06:24 +0300

qtwebsockets-opensource-src (5.12.5-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.12.5.
  * Simplify debian/rules by using the debian/not-installed file.
  * Make tests result fatal on armhf.
  * Remove unneeded doc-base build-dependency.
  * Bump Standards-Version to 4.4.0, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 18 Sep 2019 16:08:41 +0300

=== debian/control ===
--- 
+++ 
@@ -10,17 +10,16 @@
            Simon Quigley <tsimonq2@debian.org>
 Build-Depends: debhelper (>= 11),
                pkg-kde-tools,
-               qml-module-qtquick2 (>= 5.12.4~),
-               qml-module-qttest (>= 5.12.4~),
-               qtbase5-private-dev (>= 5.12.4+dfsg~),
-               qtdeclarative5-dev (>= 5.12.4~),
-               qtdeclarative5-private-dev (>= 5.12.4~),
+               qml-module-qtquick2 (>= 5.12.5~),
+               qml-module-qttest (>= 5.12.5~),
+               qtbase5-private-dev (>= 5.12.5+dfsg~),
+               qtdeclarative5-dev (>= 5.12.5~),
+               qtdeclarative5-private-dev (>= 5.12.5~),
                xauth,
                xvfb
-Build-Depends-Indep: doc-base,
-                     qtbase5-doc-html (>= 5.12.4+dfsg~) <!nodoc>,
-                     qttools5-dev-tools (>= 5.12.4~) <!nodoc>
-Standards-Version: 4.3.0
+Build-Depends-Indep: qtbase5-doc-html (>= 5.12.5+dfsg~) <!nodoc>,
+                     qttools5-dev-tools (>= 5.12.5~) <!nodoc>
+Standards-Version: 4.4.1
 Homepage: https://doc.qt.io/qt-5/qtwebsockets-index.html
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt/qtwebsockets.git
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt/qtwebsockets

## qtwebsockets-opensource-src 5.12.8

=== debian/changelog ===
qtwebsockets-opensource-src (5.12.8-0ubuntu1) focal; urgency=medium

  * New upstream bugfix release.
  * Bump Qt build-dependencies to 5.12.8.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Thu, 09 Apr 2020 15:26:20 +0300

qtwebsockets-opensource-src (5.12.5-2build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 07:24:04 +0100

=== debian/control ===
--- 
+++ 
@@ -10,15 +10,15 @@
            Simon Quigley <tsimonq2@debian.org>
 Build-Depends: debhelper (>= 11),
                pkg-kde-tools,
-               qml-module-qtquick2 (>= 5.12.5~),
-               qml-module-qttest (>= 5.12.5~),
-               qtbase5-private-dev (>= 5.12.5+dfsg~),
-               qtdeclarative5-dev (>= 5.12.5~),
-               qtdeclarative5-private-dev (>= 5.12.5~),
+               qml-module-qtquick2 (>= 5.12.8~),
+               qml-module-qttest (>= 5.12.8~),
+               qtbase5-private-dev (>= 5.12.8+dfsg~),
+               qtdeclarative5-dev (>= 5.12.8~),
+               qtdeclarative5-private-dev (>= 5.12.8~),
                xauth,
                xvfb
-Build-Depends-Indep: qtbase5-doc-html (>= 5.12.5+dfsg~) <!nodoc>,
-                     qttools5-dev-tools (>= 5.12.5~) <!nodoc>
+Build-Depends-Indep: qtbase5-doc-html (>= 5.12.8+dfsg~) <!nodoc>,
+                     qttools5-dev-tools (>= 5.12.8~) <!nodoc>
 Standards-Version: 4.4.1
 Homepage: https://doc.qt.io/qt-5/qtwebsockets-index.html
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt/qtwebsockets.git

=== debian/rules ===
--- 
+++ 
@@ -17,23 +17,12 @@
 override_dh_auto_build-indep:
 	dh_auto_build -Smakefile -- docs
 
-override_dh_auto_install-arch:
-	dh_auto_install
-
-	# Remove private headers
-	rm -rfv debian/tmp/usr/include/$(DEB_HOST_MULTIARCH)/qt5/QtWebSockets/*/QtWebSockets/private/
-	rm -fv debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/qt5/mkspecs/modules/qt_lib_websockets_private.pri
-
-	# Remove libtool-like files
-	rm -f debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/*.la
-
 override_dh_auto_test-arch:
 	$(MAKE) install -Csrc/imports INSTALL_ROOT=$(CURDIR)/test_root
-# armhf: illegal instruction, not reproducible on porterbox. See also #860507.
 # mips64el: even if the code did not change from 5.11.2 (where it run fine) to
-# 5.11.3, a test is segfaulting. The issue might be somewhere else.
+# 5.11.3, a test is segfaulting. The issue might be somewhere else. Maybe bug #868745?
 # kfreebsd-*: see https://bugreports.qt.io/browse/QTBUG-41448
-ifneq (,$(filter $(DEB_HOST_ARCH),armhf mips64el kfreebsd-amd64 kfreebsd-i386))
+ifneq (,$(filter $(DEB_HOST_ARCH),mips64el kfreebsd-amd64 kfreebsd-i386))
 	-LD_LIBRARY_PATH=$(CURDIR)/lib QML2_IMPORT_PATH=$(CURDIR)/test_root/usr/lib/$(DEB_HOST_MULTIARCH)/qt5/qml \
 	TESTRUNNER='xvfb-run -a -s "-screen 0 1024x768x24 +extension RANDR +extension RENDER +extension GLX"' \
 		dh_auto_test --max-parallel=1 -- -Ctests/auto

=== debian/watch ===
version=3
https://download.qt.io/official_releases/qt/([\d\.]*)/([\d\.]*)/submodules/qtwebsockets-everywhere-src-([^-]*)\.tar\.xz

## qtwebsockets-opensource-src 5.14.2

=== debian/changelog ===
qtwebsockets-opensource-src (5.14.2-2) unstable; urgency=medium

  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 24 Jun 2020 11:42:27 +0300

qtwebsockets-opensource-src (5.14.2-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.14.2.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 27 Apr 2020 20:08:32 +0300

qtwebsockets-opensource-src (5.14.1-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.14.1.
  * Update to debhelper compat level 12, use the new syntax.
  * Add some new symbols to debian/libqt5websockets5.symbols.
  * Bump Standards-Version to 4.5.0, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 25 Feb 2020 17:29:44 +0300

=== debian/control ===
--- 
+++ 
@@ -8,18 +8,18 @@
            Timo Jyrinki <timo@debian.org>,
            Dmitry Shachnev <mitya57@debian.org>,
            Simon Quigley <tsimonq2@debian.org>
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper-compat (= 12),
                pkg-kde-tools,
-               qml-module-qtquick2 (>= 5.12.8~),
-               qml-module-qttest (>= 5.12.8~),
-               qtbase5-private-dev (>= 5.12.8+dfsg~),
-               qtdeclarative5-dev (>= 5.12.8~),
-               qtdeclarative5-private-dev (>= 5.12.8~),
+               qml-module-qtquick2 (>= 5.14.2+dfsg~),
+               qml-module-qttest (>= 5.14.2+dfsg~),
+               qtbase5-private-dev (>= 5.14.2+dfsg~),
+               qtdeclarative5-dev (>= 5.14.2+dfsg~),
+               qtdeclarative5-private-dev (>= 5.14.2+dfsg~),
                xauth,
                xvfb
-Build-Depends-Indep: qtbase5-doc-html (>= 5.12.8+dfsg~) <!nodoc>,
-                     qttools5-dev-tools (>= 5.12.8~) <!nodoc>
-Standards-Version: 4.4.1
+Build-Depends-Indep: qtbase5-doc-html (>= 5.14.2+dfsg~) <!nodoc>,
+                     qttools5-dev-tools (>= 5.14.2~) <!nodoc>
+Standards-Version: 4.5.0
 Homepage: https://doc.qt.io/qt-5/qtwebsockets-index.html
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt/qtwebsockets.git
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt/qtwebsockets

## qtwebsockets-opensource-src 5.15.1.2+dde

=== debian/changelog ===
qtwebsockets-opensource-src (5.15.1.2+dde-1+eagle) unstable; urgency=medium

  * update

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Tue, 23 Feb 2021 10:51:17 +0800

qtwebsockets-opensource-src (5.15.1-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.15.1.
  * Update to debhelper compat level 13.
    - Drop dh_missing override, --fail-missing is now default behavior.
    - Use ${DEB_HOST_MULTIARCH} substitution.
  * Update debian/libqt5websockets5.symbols from the current build log.

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 10 Sep 2020 21:23:55 +0300

## qtwebsockets-opensource-src 5.15.2

=== tests/auto/cmake/CMakeLists.txt ===

cmake_minimum_required(VERSION 2.8)

project(qmake_cmake_files)

enable_testing()

find_package(Qt5Core REQUIRED)

include("${_Qt5CTestMacros}")

test_module_includes(
    WebSockets QWebSocket
)

=== debian/changelog ===
qtwebsockets-opensource-src (5.15.2-2) unstable; urgency=medium

  * Bump Standards-Version to 4.5.1, no changes needed.
  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 11 Dec 2020 11:32:40 +0300

qtwebsockets-opensource-src (5.15.2-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.15.2.
  * Build-depend only on the needed documentation tools, not on the large
    qttools5-dev-tools package.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 21 Nov 2020 20:35:44 +0300

qtwebsockets-opensource-src (5.15.1-2) unstable; urgency=medium

  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 28 Oct 2020 21:54:26 +0300

=== debian/control ===
--- 
+++ 
@@ -8,18 +8,20 @@
            Timo Jyrinki <timo@debian.org>,
            Dmitry Shachnev <mitya57@debian.org>,
            Simon Quigley <tsimonq2@debian.org>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                pkg-kde-tools,
-               qml-module-qtquick2 (>= 5.14.2+dfsg~),
-               qml-module-qttest (>= 5.14.2+dfsg~),
-               qtbase5-private-dev (>= 5.14.2+dfsg~),
-               qtdeclarative5-dev (>= 5.14.2+dfsg~),
-               qtdeclarative5-private-dev (>= 5.14.2+dfsg~),
+               qml-module-qtquick2 (>= 5.15.2+dfsg~),
+               qml-module-qttest (>= 5.15.2+dfsg~),
+               qtbase5-private-dev (>= 5.15.2+dfsg~),
+               qtdeclarative5-dev (>= 5.15.2+dfsg~),
+               qtdeclarative5-private-dev (>= 5.15.2+dfsg~),
                xauth,
                xvfb
-Build-Depends-Indep: qtbase5-doc-html (>= 5.14.2+dfsg~) <!nodoc>,
-                     qttools5-dev-tools (>= 5.14.2~) <!nodoc>
-Standards-Version: 4.5.0
+Build-Depends-Indep: qdoc-qt5 (>= 5.15.2~) <!nodoc>,
+                     qhelpgenerator-qt5 (>= 5.15.2~) <!nodoc>,
+                     qtattributionsscanner-qt5 (>= 5.15.2~) <!nodoc>,
+                     qtbase5-doc-html (>= 5.15.2+dfsg~) <!nodoc>
+Standards-Version: 4.5.1
 Homepage: https://doc.qt.io/qt-5/qtwebsockets-index.html
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt/qtwebsockets.git
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt/qtwebsockets

## qtwebsockets-opensource-src 5.15.3

=== debian/changelog ===
qtwebsockets-opensource-src (5.15.3-1) experimental; urgency=medium

  * New upstream release.
  * Update debian/watch.
  * Bump Qt build-dependencies to 5.15.3.
  * Bump Standards-Version to 4.6.0, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 06 Mar 2022 17:18:16 +0300

=== debian/control ===
--- 
+++ 
@@ -10,18 +10,18 @@
            Simon Quigley <tsimonq2@debian.org>
 Build-Depends: debhelper-compat (= 13),
                pkg-kde-tools,
-               qml-module-qtquick2 (>= 5.15.2+dfsg~),
-               qml-module-qttest (>= 5.15.2+dfsg~),
-               qtbase5-private-dev (>= 5.15.2+dfsg~),
-               qtdeclarative5-dev (>= 5.15.2+dfsg~),
-               qtdeclarative5-private-dev (>= 5.15.2+dfsg~),
+               qml-module-qtquick2 (>= 5.15.3+dfsg~),
+               qml-module-qttest (>= 5.15.3+dfsg~),
+               qtbase5-private-dev (>= 5.15.3+dfsg~),
+               qtdeclarative5-dev (>= 5.15.3+dfsg~),
+               qtdeclarative5-private-dev (>= 5.15.3+dfsg~),
                xauth,
                xvfb
-Build-Depends-Indep: qdoc-qt5 (>= 5.15.2~) <!nodoc>,
-                     qhelpgenerator-qt5 (>= 5.15.2~) <!nodoc>,
-                     qtattributionsscanner-qt5 (>= 5.15.2~) <!nodoc>,
-                     qtbase5-doc-html (>= 5.15.2+dfsg~) <!nodoc>
-Standards-Version: 4.5.1
+Build-Depends-Indep: qdoc-qt5 (>= 5.15.3~) <!nodoc>,
+                     qhelpgenerator-qt5 (>= 5.15.3~) <!nodoc>,
+                     qtattributionsscanner-qt5 (>= 5.15.3~) <!nodoc>,
+                     qtbase5-doc-html (>= 5.15.3+dfsg~) <!nodoc>
+Standards-Version: 4.6.0
 Homepage: https://doc.qt.io/qt-5/qtwebsockets-index.html
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt/qtwebsockets.git
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt/qtwebsockets

=== debian/rules ===
--- 
+++ 
@@ -37,6 +37,3 @@
 
 override_dh_auto_install-indep:
 	make INSTALL_ROOT=$(CURDIR)/debian/tmp install_docs
-
-override_dh_missing:
-	dh_missing --fail-missing

## qtwebsockets-opensource-src 5.15.6

=== debian/changelog ===
qtwebsockets-opensource-src (5.15.6-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.15.6.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 11 Sep 2022 21:43:52 +0300

qtwebsockets-opensource-src (5.15.5-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.15.5.
  * Use symver directive to catch all private symbols at once.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 26 Jul 2022 19:09:11 +0300

qtwebsockets-opensource-src (5.15.4-3) unstable; urgency=medium

  [ Christian Marillat ]
  * Add powerpc to the list of architectures that crash on tests
    (closes: #1013169).

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 22 Jul 2022 14:19:43 +0300

qtwebsockets-opensource-src (5.15.4-2) unstable; urgency=medium

  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 13 Jun 2022 21:37:09 +0300

qtwebsockets-opensource-src (5.15.4-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.15.4.
  * Bump Standards-Version to 4.6.1, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 14 May 2022 11:04:05 +0300

=== debian/control ===
--- 
+++ 
@@ -10,18 +10,18 @@
            Simon Quigley <tsimonq2@debian.org>
 Build-Depends: debhelper-compat (= 13),
                pkg-kde-tools,
-               qml-module-qtquick2 (>= 5.15.3+dfsg~),
-               qml-module-qttest (>= 5.15.3+dfsg~),
-               qtbase5-private-dev (>= 5.15.3+dfsg~),
-               qtdeclarative5-dev (>= 5.15.3+dfsg~),
-               qtdeclarative5-private-dev (>= 5.15.3+dfsg~),
+               qml-module-qtquick2 (>= 5.15.6+dfsg~),
+               qml-module-qttest (>= 5.15.6+dfsg~),
+               qtbase5-private-dev (>= 5.15.6+dfsg~),
+               qtdeclarative5-dev (>= 5.15.6+dfsg~),
+               qtdeclarative5-private-dev (>= 5.15.6+dfsg~),
                xauth,
                xvfb
-Build-Depends-Indep: qdoc-qt5 (>= 5.15.3~) <!nodoc>,
-                     qhelpgenerator-qt5 (>= 5.15.3~) <!nodoc>,
-                     qtattributionsscanner-qt5 (>= 5.15.3~) <!nodoc>,
-                     qtbase5-doc-html (>= 5.15.3+dfsg~) <!nodoc>
-Standards-Version: 4.6.0
+Build-Depends-Indep: qdoc-qt5 (>= 5.15.6~) <!nodoc>,
+                     qhelpgenerator-qt5 (>= 5.15.6~) <!nodoc>,
+                     qtattributionsscanner-qt5 (>= 5.15.6~) <!nodoc>,
+                     qtbase5-doc-html (>= 5.15.6+dfsg~) <!nodoc>
+Standards-Version: 4.6.1
 Homepage: https://doc.qt.io/qt-5/qtwebsockets-index.html
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt/qtwebsockets.git
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt/qtwebsockets

## qtwebsockets-opensource-src 5.15.8

=== debian/changelog ===
qtwebsockets-opensource-src (5.15.8-2) unstable; urgency=medium

  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 13 Jan 2023 12:02:24 +0400

qtwebsockets-opensource-src (5.15.8-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.15.8.
  * Bump Standards-Version to 4.6.2, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 06 Jan 2023 12:09:45 +0400

qtwebsockets-opensource-src (5.15.7-2) unstable; urgency=medium

  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 17 Dec 2022 18:20:44 +0300

qtwebsockets-opensource-src (5.15.7-1) experimental; urgency=medium

  [ Debian Janitor ]
  * Apply multi-arch hints.
    + qtwebsockets5-doc, qtwebsockets5-doc-html: Add Multi-Arch: foreign.

  [ Dmitry Shachnev ]
  * New upstream release.
  * Bump Qt build-dependencies to 5.15.7.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 04 Dec 2022 20:36:34 +0300

qtwebsockets-opensource-src (5.15.6-2) unstable; urgency=medium

  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 29 Sep 2022 11:55:49 +0300

=== debian/control ===
--- 
+++ 
@@ -10,18 +10,18 @@
            Simon Quigley <tsimonq2@debian.org>
 Build-Depends: debhelper-compat (= 13),
                pkg-kde-tools,
-               qml-module-qtquick2 (>= 5.15.6+dfsg~),
-               qml-module-qttest (>= 5.15.6+dfsg~),
-               qtbase5-private-dev (>= 5.15.6+dfsg~),
-               qtdeclarative5-dev (>= 5.15.6+dfsg~),
-               qtdeclarative5-private-dev (>= 5.15.6+dfsg~),
+               qml-module-qtquick2 (>= 5.15.8+dfsg~),
+               qml-module-qttest (>= 5.15.8+dfsg~),
+               qtbase5-private-dev (>= 5.15.8+dfsg~),
+               qtdeclarative5-dev (>= 5.15.8+dfsg~),
+               qtdeclarative5-private-dev (>= 5.15.8+dfsg~),
                xauth,
                xvfb
-Build-Depends-Indep: qdoc-qt5 (>= 5.15.6~) <!nodoc>,
-                     qhelpgenerator-qt5 (>= 5.15.6~) <!nodoc>,
-                     qtattributionsscanner-qt5 (>= 5.15.6~) <!nodoc>,
-                     qtbase5-doc-html (>= 5.15.6+dfsg~) <!nodoc>
-Standards-Version: 4.6.1
+Build-Depends-Indep: qdoc-qt5 (>= 5.15.8~) <!nodoc>,
+                     qhelpgenerator-qt5 (>= 5.15.8~) <!nodoc>,
+                     qtattributionsscanner-qt5 (>= 5.15.8~) <!nodoc>,
+                     qtbase5-doc-html (>= 5.15.8+dfsg~) <!nodoc>
+Standards-Version: 4.6.2
 Homepage: https://doc.qt.io/qt-5/qtwebsockets-index.html
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt/qtwebsockets.git
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt/qtwebsockets
@@ -95,6 +95,7 @@
 Architecture: all
 Section: doc
 Depends: ${misc:Depends}
+Multi-Arch: foreign
 Description: Qt 5 Web Sockets documentation
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
@@ -107,6 +108,7 @@
 Architecture: all
 Section: doc
 Depends: ${misc:Depends}
+Multi-Arch: foreign
 Description: Qt 5 Web Sockets HTML documentation
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.

=== debian/rules ===
--- 
+++ 
@@ -22,7 +22,8 @@
 # mips64el: even if the code did not change from 5.11.2 (where it run fine) to
 # 5.11.3, a test is segfaulting. The issue might be somewhere else. Maybe bug #868745?
 # kfreebsd-*: see https://bugreports.qt.io/browse/QTBUG-41448
-ifneq (,$(filter $(DEB_HOST_ARCH),mips64el kfreebsd-amd64 kfreebsd-i386))
+# powerpc: see https://bugs.debian.org/1013169
+ifneq (,$(filter $(DEB_HOST_ARCH),mips64el kfreebsd-amd64 kfreebsd-i386 powerpc))
 	-LD_LIBRARY_PATH=$(CURDIR)/lib QML2_IMPORT_PATH=$(CURDIR)/test_root/usr/lib/$(DEB_HOST_MULTIARCH)/qt5/qml \
 	TESTRUNNER='xvfb-run -a -s "-screen 0 1024x768x24 +extension RANDR +extension RENDER +extension GLX"' \
 		dh_auto_test --max-parallel=1 -- -Ctests/auto

## qtwebsockets-opensource-src 5.15.10

=== debian/changelog ===
qtwebsockets-opensource-src (5.15.10-2) unstable; urgency=medium

  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 08 Jul 2023 10:07:30 +0300

qtwebsockets-opensource-src (5.15.10-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.15.10.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 10 Jun 2023 21:42:34 +0300

qtwebsockets-opensource-src (5.15.9-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.15.9.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 22 Apr 2023 23:26:36 +0300

=== debian/control ===
--- 
+++ 
@@ -10,17 +10,17 @@
            Simon Quigley <tsimonq2@debian.org>
 Build-Depends: debhelper-compat (= 13),
                pkg-kde-tools,
-               qml-module-qtquick2 (>= 5.15.8+dfsg~),
-               qml-module-qttest (>= 5.15.8+dfsg~),
-               qtbase5-private-dev (>= 5.15.8+dfsg~),
-               qtdeclarative5-dev (>= 5.15.8+dfsg~),
-               qtdeclarative5-private-dev (>= 5.15.8+dfsg~),
+               qml-module-qtquick2 (>= 5.15.10+dfsg~),
+               qml-module-qttest (>= 5.15.10+dfsg~),
+               qtbase5-private-dev (>= 5.15.10+dfsg~),
+               qtdeclarative5-dev (>= 5.15.10+dfsg~),
+               qtdeclarative5-private-dev (>= 5.15.10+dfsg~),
                xauth,
                xvfb
-Build-Depends-Indep: qdoc-qt5 (>= 5.15.8~) <!nodoc>,
-                     qhelpgenerator-qt5 (>= 5.15.8~) <!nodoc>,
-                     qtattributionsscanner-qt5 (>= 5.15.8~) <!nodoc>,
-                     qtbase5-doc-html (>= 5.15.8+dfsg~) <!nodoc>
+Build-Depends-Indep: qdoc-qt5 (>= 5.15.10~) <!nodoc>,
+                     qhelpgenerator-qt5 (>= 5.15.10~) <!nodoc>,
+                     qtattributionsscanner-qt5 (>= 5.15.10~) <!nodoc>,
+                     qtbase5-doc-html (>= 5.15.10+dfsg~) <!nodoc>
 Standards-Version: 4.6.2
 Homepage: https://doc.qt.io/qt-5/qtwebsockets-index.html
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt/qtwebsockets.git

## qtwebsockets-opensource-src 5.15.13

=== debian/changelog ===
qtwebsockets-opensource-src (5.15.13-2) unstable; urgency=medium

  * Remove Timo and me form Uploaders.

  [ Dmitry Shachnev ]
  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 21 May 2024 18:54:24 +0300

qtwebsockets-opensource-src (5.15.13-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.15.13.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 10 Mar 2024 18:03:20 +0300

qtwebsockets-opensource-src (5.15.12-1) experimental; urgency=medium

  [ Pino Toscano ]
  * Drop the support for the dead GNU/kFreeBSD:
    - drop the kfreebsd architectures from the non-fatal tests behaviour

  [ Dmitry Shachnev ]
  * New upstream release.
  * Bump Qt build-dependencies to 5.15.12.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 23 Dec 2023 17:09:13 +0300

=== debian/control ===
--- 
+++ 
@@ -4,23 +4,21 @@
 Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Sune Vuorela <debian@pusling.com>,
            Pino Toscano <pino@debian.org>,
-           Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
-           Timo Jyrinki <timo@debian.org>,
            Dmitry Shachnev <mitya57@debian.org>,
            Simon Quigley <tsimonq2@debian.org>
 Build-Depends: debhelper-compat (= 13),
                pkg-kde-tools,
-               qml-module-qtquick2 (>= 5.15.10+dfsg~),
-               qml-module-qttest (>= 5.15.10+dfsg~),
-               qtbase5-private-dev (>= 5.15.10+dfsg~),
-               qtdeclarative5-dev (>= 5.15.10+dfsg~),
-               qtdeclarative5-private-dev (>= 5.15.10+dfsg~),
+               qml-module-qtquick2 (>= 5.15.13+dfsg~),
+               qml-module-qttest (>= 5.15.13+dfsg~),
+               qtbase5-private-dev (>= 5.15.13+dfsg~),
+               qtdeclarative5-dev (>= 5.15.13+dfsg~),
+               qtdeclarative5-private-dev (>= 5.15.13+dfsg~),
                xauth,
                xvfb
-Build-Depends-Indep: qdoc-qt5 (>= 5.15.10~) <!nodoc>,
-                     qhelpgenerator-qt5 (>= 5.15.10~) <!nodoc>,
-                     qtattributionsscanner-qt5 (>= 5.15.10~) <!nodoc>,
-                     qtbase5-doc-html (>= 5.15.10+dfsg~) <!nodoc>
+Build-Depends-Indep: qdoc-qt5 (>= 5.15.13~) <!nodoc>,
+                     qhelpgenerator-qt5 (>= 5.15.13~) <!nodoc>,
+                     qtattributionsscanner-qt5 (>= 5.15.13~) <!nodoc>,
+                     qtbase5-doc-html (>= 5.15.13+dfsg~) <!nodoc>
 Standards-Version: 4.6.2
 Homepage: https://doc.qt.io/qt-5/qtwebsockets-index.html
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt/qtwebsockets.git

## qtwebsockets-opensource-src 5.15.15

=== debian/changelog ===
qtwebsockets-opensource-src (5.15.15-2) unstable; urgency=medium

  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 25 Oct 2024 12:51:29 +0300

qtwebsockets-opensource-src (5.15.15-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.15.15.
  * Bump Standards-Version to 4.7.0, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 03 Sep 2024 16:40:04 +0300

=== debian/control ===
--- 
+++ 
@@ -8,18 +8,18 @@
            Simon Quigley <tsimonq2@debian.org>
 Build-Depends: debhelper-compat (= 13),
                pkg-kde-tools,
-               qml-module-qtquick2 (>= 5.15.13+dfsg~),
-               qml-module-qttest (>= 5.15.13+dfsg~),
-               qtbase5-private-dev (>= 5.15.13+dfsg~),
-               qtdeclarative5-dev (>= 5.15.13+dfsg~),
-               qtdeclarative5-private-dev (>= 5.15.13+dfsg~),
+               qml-module-qtquick2 (>= 5.15.15+dfsg~),
+               qml-module-qttest (>= 5.15.15+dfsg~),
+               qtbase5-private-dev (>= 5.15.15+dfsg~),
+               qtdeclarative5-dev (>= 5.15.15+dfsg~),
+               qtdeclarative5-private-dev (>= 5.15.15+dfsg~),
                xauth,
                xvfb
-Build-Depends-Indep: qdoc-qt5 (>= 5.15.13~) <!nodoc>,
-                     qhelpgenerator-qt5 (>= 5.15.13~) <!nodoc>,
-                     qtattributionsscanner-qt5 (>= 5.15.13~) <!nodoc>,
-                     qtbase5-doc-html (>= 5.15.13+dfsg~) <!nodoc>
-Standards-Version: 4.6.2
+Build-Depends-Indep: qdoc-qt5 (>= 5.15.15~) <!nodoc>,
+                     qhelpgenerator-qt5 (>= 5.15.15~) <!nodoc>,
+                     qtattributionsscanner-qt5 (>= 5.15.15~) <!nodoc>,
+                     qtbase5-doc-html (>= 5.15.15+dfsg~) <!nodoc>
+Standards-Version: 4.7.0
 Homepage: https://doc.qt.io/qt-5/qtwebsockets-index.html
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt/qtwebsockets.git
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt/qtwebsockets

=== debian/rules ===
--- 
+++ 
@@ -21,9 +21,8 @@
 	$(MAKE) install -Csrc/imports INSTALL_ROOT=$(CURDIR)/test_root
 # mips64el: even if the code did not change from 5.11.2 (where it run fine) to
 # 5.11.3, a test is segfaulting. The issue might be somewhere else. Maybe bug #868745?
-# kfreebsd-*: see https://bugreports.qt.io/browse/QTBUG-41448
 # powerpc: see https://bugs.debian.org/1013169
-ifneq (,$(filter $(DEB_HOST_ARCH),mips64el kfreebsd-amd64 kfreebsd-i386 powerpc))
+ifneq (,$(filter $(DEB_HOST_ARCH),mips64el powerpc))
 	-LD_LIBRARY_PATH=$(CURDIR)/lib QML2_IMPORT_PATH=$(CURDIR)/test_root/usr/lib/$(DEB_HOST_MULTIARCH)/qt5/qml \
 	TESTRUNNER='xvfb-run -a -s "-screen 0 1024x768x24 +extension RANDR +extension RENDER +extension GLX"' \
 		dh_auto_test --max-parallel=1 -- -Ctests/auto

## qtwebsockets-opensource-src 5.15.17

=== debian/changelog ===
qtwebsockets-opensource-src (5.15.17-3) unstable; urgency=medium

  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 01 Sep 2025 23:06:50 +0300

qtwebsockets-opensource-src (5.15.17-2) experimental; urgency=medium

  * Remove Qt_5.x symbols from the symbols files.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 07 Jul 2025 11:23:49 +0300

qtwebsockets-opensource-src (5.15.17-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.15.17.
  * Bump Standards-Version to 4.7.2, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 06 Jul 2025 23:17:43 +0300

=== debian/control ===
--- 
+++ 
@@ -8,18 +8,18 @@
            Simon Quigley <tsimonq2@debian.org>
 Build-Depends: debhelper-compat (= 13),
                pkg-kde-tools,
-               qml-module-qtquick2 (>= 5.15.15+dfsg~),
-               qml-module-qttest (>= 5.15.15+dfsg~),
-               qtbase5-private-dev (>= 5.15.15+dfsg~),
-               qtdeclarative5-dev (>= 5.15.15+dfsg~),
-               qtdeclarative5-private-dev (>= 5.15.15+dfsg~),
+               qml-module-qtquick2 (>= 5.15.17+dfsg~),
+               qml-module-qttest (>= 5.15.17+dfsg~),
+               qtbase5-private-dev (>= 5.15.17+dfsg~),
+               qtdeclarative5-dev (>= 5.15.17+dfsg~),
+               qtdeclarative5-private-dev (>= 5.15.17+dfsg~),
                xauth,
                xvfb
-Build-Depends-Indep: qdoc-qt5 (>= 5.15.15~) <!nodoc>,
-                     qhelpgenerator-qt5 (>= 5.15.15~) <!nodoc>,
-                     qtattributionsscanner-qt5 (>= 5.15.15~) <!nodoc>,
-                     qtbase5-doc-html (>= 5.15.15+dfsg~) <!nodoc>
-Standards-Version: 4.7.0
+Build-Depends-Indep: qdoc-qt5 (>= 5.15.17~) <!nodoc>,
+                     qhelpgenerator-qt5 (>= 5.15.17~) <!nodoc>,
+                     qtattributionsscanner-qt5 (>= 5.15.17~) <!nodoc>,
+                     qtbase5-doc-html (>= 5.15.17+dfsg~) <!nodoc>
+Standards-Version: 4.7.2
 Homepage: https://doc.qt.io/qt-5/qtwebsockets-index.html
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt/qtwebsockets.git
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt/qtwebsockets

=== debian/watch ===
version=4
https://download.qt.io/archive/qt/5.15/([\d\.]*)/submodules/qtwebsockets-everywhere-opensource-src-([^-]*)\.tar\.xz

## qtwebsockets-opensource-src 5.15.17+p24.04+vrelease+git20250828.1415

=== debian/changelog ===
qtwebsockets-opensource-src (5.15.17+p24.04+vrelease+git20250828.1415-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 28 Aug 2025 14:15:16 +0000

qtwebsockets-opensource-src (5.15.17-0neon) noble; urgency=medium

  * new release.

 -- KDE neon <neon@kde.org>  Mon, 21 Jul 2024 07:59:20 +1000

qtwebsockets-opensource-src (5.15.13-2) UNRELEASED; urgency=medium

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Remove Timo and me form Uploaders.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sun, 17 Mar 2024 20:54:15 -0300

## qtwebsockets-opensource-src 5.15.17+p24.04+vstable+git20250828.1444

=== debian/changelog ===
qtwebsockets-opensource-src (5.15.17+p24.04+vstable+git20250828.1444-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 28 Aug 2025 14:44:08 +0000

=== debian/control ===
--- 
+++ 
@@ -1,28 +1,28 @@
 Source: qtwebsockets-opensource-src
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Sune Vuorela <debian@pusling.com>,
            Pino Toscano <pino@debian.org>,
            Dmitry Shachnev <mitya57@debian.org>,
            Simon Quigley <tsimonq2@debian.org>
 Build-Depends: debhelper-compat (= 13),
                pkg-kde-tools,
-               qml-module-qtquick2 (>= 5.15.17+dfsg~),
-               qml-module-qttest (>= 5.15.17+dfsg~),
-               qtbase5-private-dev (>= 5.15.17+dfsg~),
-               qtdeclarative5-dev (>= 5.15.17+dfsg~),
-               qtdeclarative5-private-dev (>= 5.15.17+dfsg~),
+               qml-module-qtquick2 (>= 5.15.13+dfsg~),
+               qml-module-qttest (>= 5.15.13+dfsg~),
+               qtbase5-private-dev (>= 5.15.13+dfsg~),
+               qtdeclarative5-dev (>= 5.15.13+dfsg~),
+               qtdeclarative5-private-dev (>= 5.15.13+dfsg~),
                xauth,
                xvfb
-Build-Depends-Indep: qdoc-qt5 (>= 5.15.17~) <!nodoc>,
-                     qhelpgenerator-qt5 (>= 5.15.17~) <!nodoc>,
-                     qtattributionsscanner-qt5 (>= 5.15.17~) <!nodoc>,
-                     qtbase5-doc-html (>= 5.15.17+dfsg~) <!nodoc>
-Standards-Version: 4.7.2
+Build-Depends-Indep: qdoc-qt5 (>= 5.15.13~) <!nodoc>,
+                     qhelpgenerator-qt5 (>= 5.15.13~) <!nodoc>,
+                     qtattributionsscanner-qt5 (>= 5.15.13~) <!nodoc>,
+                     qtbase5-doc-html (>= 5.15.13+dfsg~) <!nodoc>
+Standards-Version: 4.6.2
 Homepage: https://doc.qt.io/qt-5/qtwebsockets-index.html
-Vcs-Git: https://salsa.debian.org/qt-kde-team/qt/qtwebsockets.git
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt/qtwebsockets
+Vcs-Git: https://invent.kde.org/neon/qt/qtwebsockets.git
+Vcs-Browser: https://invent.kde.org/neon/qt/qtwebsockets
+Maintainer: Neon CI <neon@kde.org>
 
 Package: libqt5websockets5
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -14,7 +14,7 @@
 override_dh_auto_configure:
 	dh_auto_configure -- QT_BUILD_PARTS+=tests
 
-override_dh_auto_build-indep:
+override_dh_auto_build-indep: build-arch
 	dh_auto_build -Smakefile -- docs
 
 override_dh_auto_test-arch:

## qtwebsockets-opensource-src 5.15.18

=== debian/changelog ===
qtwebsockets-opensource-src (5.15.18-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.15.18.
  * Drop ‘Priority: optional’, it became default in dpkg 1.22.12.
  * Bump Standards-Version to 4.7.3.

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 08 Jan 2026 23:54:44 +0300

=== debian/control ===
--- 
+++ 
@@ -1,28 +1,27 @@
 Source: qtwebsockets-opensource-src
 Section: libs
-Priority: optional
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Sune Vuorela <debian@pusling.com>,
            Pino Toscano <pino@debian.org>,
            Dmitry Shachnev <mitya57@debian.org>,
            Simon Quigley <tsimonq2@debian.org>
 Build-Depends: debhelper-compat (= 13),
                pkg-kde-tools,
-               qml-module-qtquick2 (>= 5.15.13+dfsg~),
-               qml-module-qttest (>= 5.15.13+dfsg~),
-               qtbase5-private-dev (>= 5.15.13+dfsg~),
-               qtdeclarative5-dev (>= 5.15.13+dfsg~),
-               qtdeclarative5-private-dev (>= 5.15.13+dfsg~),
+               qml-module-qtquick2 (>= 5.15.18+dfsg~),
+               qml-module-qttest (>= 5.15.18+dfsg~),
+               qtbase5-private-dev (>= 5.15.18+dfsg~),
+               qtdeclarative5-dev (>= 5.15.18+dfsg~),
+               qtdeclarative5-private-dev (>= 5.15.18+dfsg~),
                xauth,
                xvfb
-Build-Depends-Indep: qdoc-qt5 (>= 5.15.13~) <!nodoc>,
-                     qhelpgenerator-qt5 (>= 5.15.13~) <!nodoc>,
-                     qtattributionsscanner-qt5 (>= 5.15.13~) <!nodoc>,
-                     qtbase5-doc-html (>= 5.15.13+dfsg~) <!nodoc>
-Standards-Version: 4.6.2
+Build-Depends-Indep: qdoc-qt5 (>= 5.15.18~) <!nodoc>,
+                     qhelpgenerator-qt5 (>= 5.15.18~) <!nodoc>,
+                     qtattributionsscanner-qt5 (>= 5.15.18~) <!nodoc>,
+                     qtbase5-doc-html (>= 5.15.18+dfsg~) <!nodoc>
+Standards-Version: 4.7.3
 Homepage: https://doc.qt.io/qt-5/qtwebsockets-index.html
-Vcs-Git: https://invent.kde.org/neon/qt/qtwebsockets.git
-Vcs-Browser: https://invent.kde.org/neon/qt/qtwebsockets
-Maintainer: Neon CI <neon@kde.org>
+Vcs-Git: https://salsa.debian.org/qt-kde-team/qt/qtwebsockets.git
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt/qtwebsockets
 
 Package: libqt5websockets5
 Architecture: any
